    # File lib/active_record/vendor/mysql.rb, line 615
        def fetch_row()
          if @data then
            if @current_row >= @data.length then
              @handle.status = :STATUS_READY
              return
            end
            ret = @data[@current_row]
            @current_row += 1
          else
            return if @eof
            ret = @handle.read_one_row @field_count
            if ret == nil then
              @eof = true
              return
            end
            @lengths = ret.map{|i| i ? i.length : 0}
            @row_count += 1
          end
          ret
        end